<template>
  <ContentScrollView :paddingH="false">
    <EditPhoneUserAccount :id="id" @success="handleSuccess" />
  </ContentScrollView>
</template>

<script setup lang="ts">
import Taro from '@tarojs/taro';
import { EditPhoneUserAccount } from '@life-payment/components';
import { goBack } from '@/utils';

defineOptions({
  name: 'InnerPage',
});

const router = Taro.useRouter();
const id = router.params?.id ?? '';

function handleSuccess() {
  goBack();
}
</script>
